class Config {

  static get version() {
    return '1.1.0';
  }

  static get libraryName() {
    return 'liveqa';
  }

  static get language() {
    return 'javascript';
  }

  static set host(value) {
    this._host = value;
  }

  static get host() {
    return this._host || 'https://api.liveqa.io';
  }

  static get apiVersion() {
    return 'v1';
  }

  static set snippetVersion(value) {
    this._snippetVersion = value;
  }

  static get snippetVersion() {
    return this._snippetVersion;
  }

  static set apiKey(value) {
    this._apiKey = value;
  }

  static get apiKey() {
    return this._apiKey;
  }

  static get identifierCookieName() {
    return 'liveqa_identifier_id';
  }

  static set enabled(value) {
    this._enabled = value;
  }

  static get enabled() {
    return this._enabled === undefined ? true : this._enabled;
  }

  static set obfuscatedFields(value) {
    this._obfuscatedFields = value;
  }

  static get obfuscatedFields() {
    return this._obfuscatedFields === undefined ? [] : this._obfuscatedFields;
  }
}

module.exports = Config;
